aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2011-12-22 20:17:43 +0000
committerMike Frysinger <vapier@gentoo.org>2011-12-22 20:17:43 +0000
commit7c83365872b5ce68d3216693ad48634a35c6a2d2 (patch)
treee386fa44ada62a546caa1d582c901982e7f2108b
parentadd makefile for this test subdir (diff)
downloadportage-utils-7c83365872b5ce68d3216693ad48634a35c6a2d2.tar.gz
portage-utils-7c83365872b5ce68d3216693ad48634a35c6a2d2.tar.bz2
portage-utils-7c83365872b5ce68d3216693ad48634a35c6a2d2.zip
fix typo in TESTS list, and make overall test dir looping more robust
-rw-r--r--tests/Makefile19
1 files changed, 11 insertions, 8 deletions
diff --git a/tests/Makefile b/tests/Makefile
index 4972bb6..6b0a1da 100644
--- a/tests/Makefile
+++ b/tests/Makefile
@@ -1,20 +1,23 @@
TESTS = \
reinitialize atom_compare atom_explode mkdir \
qfile qlist qtbz2 quse qxpak \
- install profilesource
+ install profile source
all: check
test check:
+ ret=0 ; \
for test in $(TESTS) ; do \
- cd $$test ; \
- $(MAKE) check || exit 1 ; \
- cd .. ; \
- done
+ if cd $$test ; then \
+ $(MAKE) check || ret=1 ; \
+ cd .. ; \
+ else \
+ ret=1 ; \
+ fi ; \
+ done ; \
+ exit $${ret}
clean:
for test in $(TESTS) ; do \
- cd $$test ; \
- $(MAKE) clean ; \
- cd .. ; \
+ $(MAKE) -C $$test clean ; \
done